"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs");
var dir = process.cwd();
var dirWithoutConfig = dir + "/src";
var configPath = dir + "/drab.json";
var configFile = fs.existsSync(configPath) && fs.readFileSync(dir + "/drab.json", "utf8");
exports.config = configFile && JSON.parse(configFile);
/**
 * This function is responsible for get component path
 */
exports.getComponentDirPath = function () {
    return exports.config && exports.config.components
        ? dir + "/" + exports.config.components
        : dirWithoutConfig + "/components";
};
/**
 * This function is responsible for get page path
 */
exports.getPageDirPath = function () {
    return exports.config && exports.config.pages
        ? dir + "/" + exports.config.pages
        : dirWithoutConfig + "/pages";
};
/**
 * This function is responsible for get service path
 */
exports.getServiceDirPath = function () {
    return exports.config && exports.config.services
        ? dir + "/" + exports.config.services
        : dirWithoutConfig + "/services";
};
/**
 * This function is responsible for get hook path
 */
exports.getHookDirPath = function () {
    return exports.config && exports.config.extension
        ? dir + "/" + exports.config.hooks
        : dirWithoutConfig + "/hooks";
};
exports.getExtension = function () { return exports.config.extension || "js"; };
